Bug 736858 - RFE: Always Include a concise list of all installed packages in root.log
Summary: RFE: Always Include a concise list of all installed packages in root.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 21:18 UTC by Henrik Nordström
Modified: 2012-02-17 16:57 UTC (History)
3 users (show)

Fixed In Version: mock-1.0.25-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:52:58 UTC


Attachments (Terms of Use)

Description Henrik Nordström 2011-09-08 21:18:02 UTC
Description of problem:

build root contents for a package is hard to track when root caching is enabled

Version-Release number of selected component (if applicable):


How reproducible:

Always when using a cached root

Steps to Reproduce:
1. Enable root cache
2.
3.
  
Actual results:

root.log only shows packets added/upgraded

Expected results:

Before build starts it's desireable to have a full listing of currently installed packages, i.e. an "rpm -q -a" listing or equivalent.

Additional info:

Comment 1 Clark Williams 2011-11-02 16:08:34 UTC
I've added a routine to do an 'rpm -q -a' in the chroot at the end of the 'init' phase. This should be the base chroot plus any updates from yum, but before any package dependencies are added.

Comment 2 Henrik Nordström 2011-11-03 09:16:36 UTC
Thanks.

It's imho even better if the list is generated after build dependencies have been added, giving a consistent view of what was installed in the build root while the package is being built. Same if --noclean is being used to run the build in an already existing root fs.

but if the list is already generated when --noclean is used as well then the current change is sufficient even if it means having to parse two different package list formats in determining what was available in the buildroot while the package was being built.

Comment 3 Fedora Update System 2011-11-27 23:54:24 UTC
mock-1.1.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.el6

Comment 4 Fedora Update System 2011-11-27 23:54:57 UTC
mock-1.1.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc15

Comment 5 Fedora Update System 2011-11-27 23:55:25 UTC
mock-1.0.25-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.25-1.el5

Comment 6 Fedora Update System 2011-11-27 23:55:51 UTC
mock-1.1.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc14

Comment 7 Fedora Update System 2011-11-27 23:56:18 UTC
mock-1.1.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc16

Comment 8 Fedora Update System 2011-11-28 19:27:48 UTC
Package mock-1.0.25-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.25-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5097/mock-1.0.25-1.el5
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-10 19:52:58 UTC
mock-1.1.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-12-10 19:57:27 UTC
mock-1.1.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-12-10 20:06:32 UTC
mock-1.1.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-12-13 19:56:56 UTC
mock-1.1.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-12-13 19:57:31 UTC
mock-1.0.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Mike Bonnet 2012-02-17 16:57:49 UTC
This causes mock to fail if the chroot does not contain the rpm package (which is not uncommon).  This will also fail if the host rpmdb version does not match the chroot rpmdb version.


Note You need to log in before you can comment on or make changes to this bug.